### Hierarchy

- EventTarget
  - IDBTransaction

## Index

### Properties

- EventTarget
- db
- error
- mode
- objectStoreNames
- onabort
- oncomplete
- onerror

### Methods

- abort
- addEventListener
- dispatchEvent
- objectStore
- removeEventListener

## Properties

### EventTarget

EventTarget: object

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5081

#### Type declaration

- ##### constructor: function

  - new __type(): EventTarget
  - - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5082

    #### Returns EventTarget

- ##### prototype: EventTarget

### db

db: IDBDatabase

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:9142

Returns the transaction's connection.

### error

error: DOMException

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:9147

If the transaction was aborted, returns the error (a DOMException) providing the reason.

### mode

mode: IDBTransactionMode

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:9153

Returns the mode the transaction was created with ("readonly" or "readwrite"), or "versionchange" for an upgrade transaction.

### objectStoreNames

objectStoreNames: DOMStringList

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:9158

Returns a list of the names of object stores in the transaction's scope. For an upgrade transaction this is all object stores in the database.

### onabort

onabort: function | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:9159

### oncomplete

oncomplete: function | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:9160

### onerror

onerror: function | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:9161

## Methods

### abort

- abort(): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:9167

  Aborts the transaction. All pending requests will fail with a "AbortError" DOMException and all changes made to the database will be reverted.

  #### Returns void

### addEventListener

- addEventListener<K>(type: K, listener: function, options?: boolean | AddEventListenerOptions): void
- addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void

- Overrides EventTarget.addEventListener

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:9172

  #### Type parameters

  - #### K: keyof IDBTransactionEventMap

  #### Parameters

  - ##### type: K

  - ##### listener: function

    - - (this: IDBTransaction, ev: IDBTransactionEventMap[K]): any

      - #### Parameters

        - ##### this: IDBTransaction

        - ##### ev: IDBTransactionEventMap[K]

        #### Returns any

  - ##### Optional options: boolean | AddEventListenerOptions

  #### Returns void

- Overrides EventTarget.addEventListener

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:9173

  #### Parameters

  - ##### type: string

  - ##### listener: EventListenerOrEventListenerObject

  - ##### Optional options: boolean | AddEventListenerOptions

  #### Returns void

### dispatchEvent

- dispatchEvent(event: Event): boolean

- Inherited from EventTarget.dispatchEvent

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5074

  Dispatches a synthetic event event to target and returns true if either event's cancelable attribute value is false or its preventDefault() method was not invoked, and false otherwise.

  #### Parameters

  - ##### event: Event

  #### Returns boolean

### objectStore

- objectStore(name: string): IDBObjectStore

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:9171

  Returns an IDBObjectStore in the transaction's scope.

  #### Parameters

  - ##### name: string

  #### Returns IDBObjectStore

### removeEventListener

- removeEventListener<K>(type: K, listener: function, options?: boolean | EventListenerOptions): void
- removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void

- Overrides EventTarget.removeEventListener

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:9174

  #### Type parameters

  - #### K: keyof IDBTransactionEventMap

  #### Parameters

  - ##### type: K

  - ##### listener: function

    - - (this: IDBTransaction, ev: IDBTransactionEventMap[K]): any

      - #### Parameters

        - ##### this: IDBTransaction

        - ##### ev: IDBTransactionEventMap[K]

        #### Returns any

  - ##### Optional options: boolean | EventListenerOptions

  #### Returns void

- Overrides EventTarget.removeEventListener

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:9175

  #### Parameters

  - ##### type: string

  - ##### listener: EventListenerOrEventListenerObject

  - ##### Optional options: boolean | EventListenerOptions

  #### Returns void

Generated using TypeDoc